Bug 961159 - [RFE] No defined separation between environments that are not along the same promotion part
[RFE] No defined separation between environments that are not along the same ...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 21:30 EDT by Corey Welton
Modified: 2014-06-19 15:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 14:02:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2013-05-08 21:30:53 EDT
Description of problem:

This is sort of a small detail, but it is polish.

If a user has environments across multiple promotion paths defined in katello and then attempts to create a system, there is no delineation separating the separate paths.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. In katello, ACME_Corporation, create environment "hello" with a prior environment of "Library"
2. Create environment "goodbye", with a prior environment of "hello"
3. Create an environment "buongiorno" with a prior prior environment of "Library"
4. Create an environment "mi scusi" with a prior environment of "buongiorno"
5. Observe in the katello UI that these are, indeed, two separate promotion paths.
6. Go to foreman Hosts > New Host; attempt to select an Environment ID from the dropdown; view results
  
Actual results:
There is no delineation or separation of the two promotional paths.

Expected results:
A line or something which indicates the environments are for separate paths. 

Additional info:
Comment 5 Mike McCune 2014-03-18 14:02:39 EDT
not critical
Comment 6 Mike McCune 2014-03-18 14:02:57 EDT
cwelton agreed with above closing

Note You need to log in before you can comment on or make changes to this bug.